> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1courses template



## OpenAPI

````yaml /api/openapi.json get /api/v1/courses/{courseId}/template
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/courses/{courseId}/template:
    get:
      tags:
        - courses
      operationId: previewTemplate
      parameters:
        - name: courseId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
        - name: templateId
          in: query
          required: false
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemplateChangeSet'
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    TemplateChangeSet:
      type: object
      properties:
        courseId:
          type: string
          minLength: 1
        templateId:
          type: string
          minLength: 1
        templateName:
          type: string
          minLength: 1
        addModules:
          type: array
          items:
            type: object
            properties:
              key:
                type: string
                minLength: 1
              title:
                type: string
                minLength: 1
              placement:
                type: string
                enum:
                  - start
                  - end
            required:
              - key
              - title
              - placement
            additionalProperties: false
        addLessons:
          type: array
          items:
            type: object
            properties:
              key:
                type: string
                minLength: 1
              moduleTitle:
                type: string
                minLength: 1
              title:
                type: string
                minLength: 1
            required:
              - key
              - moduleTitle
              - title
            additionalProperties: false
        addBlocks:
          type: array
          items:
            type: object
            properties:
              key:
                type: string
                minLength: 1
              lessonTitle:
                type: string
                minLength: 1
              label:
                type: string
                minLength: 1
            required:
              - key
              - lessonTitle
              - label
            additionalProperties: false
        summary:
          type: string
          minLength: 1
        hash:
          type: string
          minLength: 1
      required:
        - courseId
        - templateId
        - templateName
        - addModules
        - addLessons
        - addBlocks
        - summary
        - hash
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````